Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229205 - 0.90 fixes CVE-2007-0897 (MIME Header Handling) and CVE-2007-0898 (CAB File Processing) Denials of Service
Summary: 0.90 fixes CVE-2007-0897 (MIME Header Handling) and CVE-2007-0898 (CAB File P...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 5
Hardware: All
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL: http://secunia.com/advisories/24187
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 15:51 UTC by Peter Gordon
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.88.7-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 10:18:32 UTC


Attachments (Terms of Use)

Description Peter Gordon 2007-02-19 15:51:48 UTC
+++ This bug was initially created as a clone of Bug #229202 +++

According to Secunia:
"Two vulnerabilities have been reported in ClamAV, which can be exploited by
malicious people to cause a DoS (Denial of Service).

1) Input passed via the "id" parameter when parsing MIME headers is not properly
sanitised before being used to create local files. This can be exploited to e.g.
overwrite the anti-virus signature file via directory traversal attacks,
preventing malware from being detected.

2) An file descriptor leak error in the processing of CAB files can be exploited
to e.g. prevent legitimate users from sending out valid archives via a specially
crafted CAB file with a cabinet header containing a record length of zero."

Please update the FC-5 package to version 0.90 to fix these. Thanks.

Comment 1 Enrico Scholz 2007-02-22 10:18:32 UTC
thx, should be fixed by current release


Note You need to log in before you can comment on or make changes to this bug.